Skip to main content

Create Open Finance Payment Consent by Pix Key

POST 

/open-finance/payment-consent/by-keys

Create a new Open Finance payment consent by pix key.

Request

Header Parameters

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Body

required
    amount numberrequired

    Open Finance payment consent amount.

    participant_id stringrequired

    Open Finance participant ID. For redirect flow.

    enrollment_id string

    Open Finance enrollment ID. For without redirect flow.

    logged_user_document stringrequired

    Client logged user document. In case of the user is a business entity, it is the document of the business entity representative.

    logged_business_entity_document string

    Client logged user document when the user is a business entity.

    logged_user_bank_ispb string

    client logged user bank ISPB.

    logged_user_branch_number string

    client logged user branch number.

    logged_user_bank_account_number string

    client logged user bank account number.

    logged_user_bank_account_type string

    Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP, PI]

    client logged user bank account type.

    decoded_pix_key_id stringrequired

    Decoded pix key id.

    client_redirect_url stringrequired

    Client redirect URL for Open Finance flow.

    payment_date date

    Payment date.

Responses

The payment consent created successfully.

Schema
    id stringrequired

    Payment consent id.

    status stringrequired

    Possible values: [PENDING, WAITING, WAITING_AUTHORIZATION, AUTHORIZED, CONSUMED, REJECTED, REVOKED, EXPIRED, ERROR, FAILED]

    Payment consent status.

    expiration_date_time date-time

    Payment consent expiration date time.

    created_at date-timerequired

    Payment consent created at.

    updated_at date-timerequired

    Payment consent updated at.

Loading...